<ng-container *transloco="let t">
  <div class="inline font-normal-color">
    {{t('password_validation.to_be_secure')}}
  </div>
  <div
    [ngClass]="errors?.length ?  'error' : 'ok'"
    class="inline">
    <ng-container *ngIf="errors?.length;then errorIcon; else okIcon"></ng-container>
    {{t('password_validation.12_chars')}}
  </div>
  <div class="inline font-normal-color">{{t('password_validation.of_which')}}</div>
  <div
    [ngClass]="errors?.noUppercase ?  'error' : 'ok'"
    class="inline ">
    <ng-container *ngIf="errors?.noUppercase;then errorIcon; else okIcon"></ng-container>
    {{t('password_validation.uppercase')}}
  </div>
  <div
    [ngClass]="errors?.noLowercase ?  'error' : 'ok'"
    class="inline ">
    <ng-container *ngIf="errors?.noLowercase;then errorIcon; else okIcon"></ng-container>
    {{t('password_validation.lowercase')}}
  </div>
  <div
    [ngClass]="errors?.noNumber ?  'error' : 'ok'"
    class="inline ">
    <ng-container *ngIf="errors?.noNumber;then errorIcon; else okIcon"></ng-container>
    {{t('password_validation.number')}}
  </div>
  <div class="inline font-normal-color">{{t('password_validation.and')}}</div>
  <div
    [ngClass]="errors?.noSpecial ?  'error' : 'ok'"
    class="inline">
    <ng-container *ngIf="errors?.noSpecial; then errorIcon;else okIcon"></ng-container>
    {{t('password_validation.special')}}
  </div>
</ng-container>



<ng-template #okIcon>
  <mat-icon
    class="icon-space"
    align="baseline">
    check_circle
  </mat-icon>
</ng-template>



<ng-template #errorIcon>
  <mat-icon
    class="icon-space"
    align="baseline">
    cancel
  </mat-icon>
</ng-template>
